//
// File    : PCFCLOCK.CPP                        Project   :   -          
// Compiler: ANSI                                Created   :   16.11.1996 
// Progr.  : Haubold                                                      
//                                                                        
//             (c) Copyright 1996 by S. Haubold                           
// Description:                                                           
// Interface to the PCF device driver                                     
//

#ifndef __PCF_H
#define __PCF_H

#ifdef __cplusplus
   extern "C"
      {
#endif
#define PCFStatusSummerTime  0x01
#define PCFStatusWinterTime  0x02
#define PCFStatusRecept      0x04 
#define PCFStatusBatLow      0x08

#pragma pack (1)

typedef struct _PCFData
   {
   unsigned char  uchPCFhours;
   unsigned char  uchPCFminutes;
   unsigned char  uchPCFseconds;
   unsigned short usPCFhundredths;
   unsigned char  uchPCFday;
   unsigned char  uchPCFmonth;
   unsigned char  uchPCFyear;
   unsigned char  uchPCFdayOfWeek;
   unsigned char  uchPCFstatus;
   } PCFData, *pPCFData;

#pragma pack ()

#ifdef __cplusplus
   }
#endif


#endif
